Subject: Bug#4080: New tar may be broken.

From: Rob Browning <[email-masked]>
Date: 08 Aug 1996 11:23:48 -0500

Package: tar
Version: 1.11.11-1

I already posted this, but I think I had screwed up my mailer at the
time.  I never saw it, and it's not listed in the reports from the web
page, so here goes again...

On an older version, you could tar relative symlinks just fine.  You'd
get a Broken pipe message, but it would work without any serious error
messages (version 1.11.8-5):

# cd /; tar cf - System.* | (cd /tmp; tar xf -)
Broken pipe
# ls -l /tmp
total 0
lrwxrwxrwx   1 root     root           21 Aug  7 21:35 System.map -> boot/System.map-2.0.9
lrwxrwxrwx   1 root     root           21 Aug  7 21:35 System.old -> boot/System.map-2.0.7
#  

With the new version here's what happens:

# cd /; tar cf - System.* | (cd /tmp; tar xf -)
tar: System.map: Could not change access and modification times: No such file or directory
tar: System.map: Cannot change mode to 0755: No such file or directory
tar: System.old: Could not change access and modification times: No such file or directory
tar: System.old: Cannot change mode to 0755: No such file or directory
tar: Error exit delayed at end of execution
# ls -l /tmp/
total 0
lrwxrwxrwx   1 root     root           21 Aug  7 21:35 System.map -> boot/System.map-2.0.9
lrwxrwxrwx   1 root     root           21 Aug  7 21:35 System.old -> boot/System.map-2.0.7
#

Perhaps this is not serious, but when you're untarring a large archive
with alot of symlinks it sure can look like something horrible is
going wrong.

Is this the desired behavior?
--
Rob